{% extends "base.html" %}

{% block links %}
{{ super() }}
{% endblock %}

{% block title %}
Accepter une offre
{% endblock %}

{% block header %}
{% include  "sub_templates/header.html" %}
{% endblock %}

{% block main %}
<section class="shadow rounded px-4 py-3">
  <div class="flex flex-col">
    <h2 class="text-2xl font-semibold mb-2 text-center">Etes-vous sûr de vouloir accepter l'offre {{ object_type }} ?
    </h2>
    <p class="my-5 text-center">En acceptant l'offre, l'entreprise sera ajoutée à la liste d'entreprises si celle-ci est
      nouvelle</p>
    <div class="flex gap-2 w-fit my-0 mx-auto mt-10">
      <button
        class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-[var(--blue)] hover:bg-[var(--blue)] hover:text-white focus:border-[var(--blue)] block w-full px-2.5 py-1.5 h-fit">
        <a href="{{ url_for('accept_offre', offre_id=offre_id) }}">Accepter</a>
      </button>
      <button
        class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-red-600 hover:bg-red-500 hover:text-white focus:border-red-600 block w-full px-2.5 py-1.5 h-fit">
        <a href="{{ url_for('index') }}">Annuler</a>
      </button>
    </div>
</section>
{% endblock %}

{% block footer %}
{% include  "sub_templates/footer.html" %}
{% endblock footer%}

{% block script %}
{{ super() }}
{% endblock %}